
Redmine - Patch #12753

Update config.i18n.load_path for plugin-supplied locales

2013-01-06 10:37 - Takeshi Yaegashi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.5.0   

Description

With Rails 3 Redmine::Plugin.register should update Rails.application.config.i18n.load_path for plugin-supplied locales to allow them

to override system locales.  I18n.load_path is overriden with system locales by an after_initialize hook in

active_support/i18n_railtie.rb, thus currently plugins like https://github.com/edavis10/redmine_language_change won't work.

The attached patch is against 2.1-stable branch.

Related issues:

Has duplicate Redmine - Defect #14758: Can't override default locale with plugin Closed

Associated revisions

Revision 12482 - 2014-01-05 15:46 - Jean-Philippe Lang

Use Rails.application.config.i18n.load_path for adding plugin locales (#12753).

Patch by Takeshi Yaegashi.

History

#1 - 2013-01-06 11:00 - Jean-Philippe Lang

Can you add a test to your patch?

#2 - 2013-03-24 10:32 - Siegfried Vogel

+1

Need the string customization scheme in plugins of previous Redmine versions back, too!

#3 - 2013-08-24 15:53 - Daniel Felix

Hi there,

any news on this? Did you write a test? :-)

#4 - 2013-09-03 03:02 - Toshi MARUYAMA

- Has duplicate Defect #14758: Can't override default locale with plugin added

#5 - 2014-01-04 21:17 - Ebrahim Mohammadi

This is absolutely needed.

#6 - 2014-01-05 15:47 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.3

redmine_language_change plugin works fine for me without the patch applied but it's committed in r12482 anyway as it seems safer to use Rails

config instead.

#7 - 2014-01-11 12:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 2.4.3 to 2.5.0
https://github.com/edavis10/redmine_language_change
https://www.redmine.org/projects/redmine/repository/svn/revisions/12482
